%define languageenglazy Dutch
%define languagecode    nl
%define lc_ctype        nl_NL

Name:           hunspell-%{languagecode}
Version:        2.10
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD or CC-BY
Group:          System/Internationalization
URL:            https://www.opentaal.org/english.php
Source0:        OpenTaal-210G-LO.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-nl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-nl_AW = %{version}-%{release}
Provides:       hunspell-nl_BE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-nl_AW = 2
Provides:       dictionary-nl_BE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x nl_NL.*

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc description/desc_en_US.txt description/desc_nl_NL.txt README_nl_NL.txt license_en_EN.txt licentie_nl_NL.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.10-10.mga10
+ Revision: 2196905
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 2.10-9.mga9
+ Revision: 1801224
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.10-8.mga8
+ Revision: 1490708
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.10-7.mga7
+ Revision: 1262303
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.10-6.mga6
+ Revision: 947572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10-5.mga5
+ Revision: 744571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10-4.mga5
+ Revision: 680282
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 2.10-3.mga4
+ Revision: 505697
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 353607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 2.10-1.mga3
+ Revision: 344481
- sync version with Fedora: 2.10
- update Source0
- stop installing language aliases

* Tue Mar 20 2012 kamil <kamil> 2.00-6.mga2
+ Revision: 224775
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 2.00-5.mga2
+ Revision: 209021
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 2.00-4.mga2
+ Revision: 206063
- hunspell is now suggested not required
- stop requiring locales

* Sun Jan 08 2012 kamil <kamil> 2.00-3.mga2
+ Revision: 193212
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and nl_ variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and nl_ variants
  o obsolete myspell- nl dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 2.00-2.mga1
+ Revision: 68984
- imported package hunspell-nl


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Sep 26 2010 Caolán McNamara <caolanm@redhat.com> - 2.00-1
- latest version

* Thu Jan 07 2010 Caolán McNamara <caolanm@redhat.com> - 1.10-2
- fix License tag

* Tue Aug 25 2009 Caolán McNamara <caolanm@redhat.com> - 1.10-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00g-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 1.00g-5
- retain timestamp

* Fri Jun 22 2009 Caolán McNamara <caolanm@redhat.com> - 1.00g-4
- extend coverage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00g-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 09 2007 Caolán McNamara <caolanm@redhat.com> - 1.00g-2
- clarify license version

* Fri Jun 08 2007 Caolán McNamara <caolanm@redhat.com> - 1.00g-1
- OpenTaal project publishes Dutch Language Union approved dictionary

* Wed Feb 14 2007 Caolán McNamara <caolanm@redhat.com> - 0.20050720-1
- update to match upstream id

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20050617-1
- initial version
